package com.srs.stureg.service;

import java.util.List;

import com.srs.stureg.domain.ArrivalInformation;
import com.srs.stureg.domain.AtStation;

/**
 * 新生接站登记Service接口
 * 
 * @author 邓
 * @date 2023-05-20
 */
public interface IAtStationService 
{
    /**
     * 查询新生接站登记
     * 
     * @param id 新生接站登记主键
     * @return 新生接站登记
     */
    public AtStation selectAtStationById(Long id);
    /**
     * 查询新生接站登记
     *
     * @param userId userId
     * @return 到站信息登记
     */
    public AtStation selectAtStationByUserId(Long userId);

    /**
     * 查询新生接站登记列表
     * 
     * @param atStation 新生接站登记
     * @return 新生接站登记集合
     */
    public List<AtStation> selectAtStationList(AtStation atStation);

    /**
     * 新增新生接站登记
     * 
     * @param atStation 新生接站登记
     * @return 结果
     */
    public int insertAtStation(AtStation atStation);

    /**
     * 修改新生接站登记
     * 
     * @param atStation 新生接站登记
     * @return 结果
     */
    public int updateAtStation(AtStation atStation);

    /**
     * 批量删除新生接站登记
     * 
     * @param ids 需要删除的新生接站登记主键集合
     * @return 结果
     */
    public int deleteAtStationByIds(Long[] ids);

    /**
     * 删除新生接站登记信息
     * 
     * @param id 新生接站登记主键
     * @return 结果
     */
    public int deleteAtStationById(Long id);
}
